import type { Emotion } from '@emotion/css/create-instance';
import type { Theme } from '../../lib/theming/Theme.js';
export declare const getStyles: (emotion: Emotion) => {
    icon(t: Theme): string;
    iconSmall(t: Theme): string;
    iconMedium(t: Theme): string;
    iconLarge(t: Theme): string;
    iconDisabled(t: Theme): string;
    value(): string;
    valueVisible(): string;
};
